---


################################################################################
# workaround
# arc-menu extension seem installed at the worst place
# so "gsettings list-recursively" don't see the configuration
################################################################################

- name: set fact
  ansible.builtin.set_fact:
    bad_path: "/usr/share/glib-2/schemas"
    good_path: "/usr/share/glib-2.0/schemas"
    extension_file: org.gnome.shell.extensions.arc-menu.gschema.xml

- name: set fact
  ansible.builtin.set_fact:
    bad_file: "{{ bad_path  }}/{{ extension_file }}"
    good_file: "{{ good_path }}/{{ extension_file }}"

- name: check bad file
  ansible.builtin.stat:
    path: "{{ bad_file }}"
  register: check_bad_file

- name: check good file
  ansible.builtin.stat:
    path: "{{ good_file }}"
  register: check_good_file

- name: delete link
  become_user: root
  ansible.builtin.file:
    state: absent
    path: "{{ good_file }}"
  register: delete_link
  when: ( check_bad_file.stat.exists ) and ( check_good_file.stat.exists )

- name: compile_schemas
  become_user: root
  ansible.builtin.command: "/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas/"
  changed_when: shellcommand.rc == 0
  failed_when: shellcommand.rc > 0
  register: shellcommand
